<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (18) on Wed Mar 20 22:42:02 MSK 2024 -->
<title>Class Hierarchy</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-03-20">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="tree-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon"></span><span class="nav-bar-toggle-icon"></span><span class="nav-bar-toggle-icon"></span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#tree">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="package-hierarchy-label">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/test/test/package-tree.html">com.test.test</a>, </li>
<li><a href="com/test/test/configuration/package-tree.html">com.test.test.configuration</a>, </li>
<li><a href="com/test/test/controller/package-tree.html">com.test.test.controller</a>, </li>
<li><a href="com/test/test/dao/package-tree.html">com.test.test.dao</a>, </li>
<li><a href="com/test/test/dto/package-tree.html">com.test.test.dto</a>, </li>
<li><a href="com/test/test/mapper/package-tree.html">com.test.test.mapper</a>, </li>
<li><a href="com/test/test/model/package-tree.html">com.test.test.model</a>, </li>
<li><a href="com/test/test/service/package-tree.html">com.test.test.service</a>, </li>
<li><a href="com/test/test/services/package-tree.html">com.test.test.services</a></li>
</ul>
</div>
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">com.test.test.services.<a href="com/test/test/services/JwtService.html" class="type-name-link" title="class in com.test.test.services">JwtService</a></li>
<li class="circle">com.test.test.configuration.<a href="com/test/test/configuration/OpenAPIConfiguration.html" class="type-name-link" title="class in com.test.test.configuration">OpenAPIConfiguration</a></li>
<li class="circle">com.test.test.<a href="com/test/test/TestApplication.html" class="type-name-link" title="class in com.test.test">TestApplication</a></li>
<li class="circle">com.test.test.model.<a href="com/test/test/model/Ticket.html" class="type-name-link" title="class in com.test.test.model">Ticket</a></li>
<li class="circle">com.test.test.controller.<a href="com/test/test/controller/TicketController.html" class="type-name-link" title="class in com.test.test.controller">TicketController</a></li>
<li class="circle">com.test.test.controller.<a href="com/test/test/controller/TicketControllerTest.html" class="type-name-link" title="class in com.test.test.controller">TicketControllerTest</a></li>
<li class="circle">com.test.test.dto.<a href="com/test/test/dto/TicketDTO.html" class="type-name-link" title="class in com.test.test.dto">TicketDTO</a></li>
<li class="circle">com.test.test.mapper.<a href="com/test/test/mapper/TicketMapper.html" class="type-name-link" title="class in com.test.test.mapper">TicketMapper</a></li>
<li class="circle">com.test.test.services.<a href="com/test/test/services/TicketService.html" class="type-name-link" title="class in com.test.test.services">TicketService</a></li>
<li class="circle">com.test.test.service.<a href="com/test/test/service/TicketServiceTest.html" class="type-name-link" title="class in com.test.test.service">TicketServiceTest</a></li>
<li class="circle">com.test.test.model.<a href="com/test/test/model/User.html" class="type-name-link" title="class in com.test.test.model">User</a></li>
<li class="circle">com.test.test.controller.<a href="com/test/test/controller/UserController.html" class="type-name-link" title="class in com.test.test.controller">UserController</a></li>
<li class="circle">com.test.test.controller.<a href="com/test/test/controller/UserControllerTest.html" class="type-name-link" title="class in com.test.test.controller">UserControllerTest</a></li>
<li class="circle">com.test.test.dto.<a href="com/test/test/dto/UserDTO.html" class="type-name-link" title="class in com.test.test.dto">UserDTO</a></li>
<li class="circle">com.test.test.configuration.<a href="com/test/test/configuration/UserInterceptor.html" class="type-name-link" title="class in com.test.test.configuration">UserInterceptor</a> (implements org.springframework.web.servlet.HandlerInterceptor)</li>
<li class="circle">com.test.test.mapper.<a href="com/test/test/mapper/UserMapper.html" class="type-name-link" title="class in com.test.test.mapper">UserMapper</a></li>
<li class="circle">com.test.test.services.<a href="com/test/test/services/UserService.html" class="type-name-link" title="class in com.test.test.services">UserService</a></li>
<li class="circle">com.test.test.service.<a href="com/test/test/service/UserServiceTest.html" class="type-name-link" title="class in com.test.test.service">UserServiceTest</a></li>
<li class="circle">com.test.test.configuration.<a href="com/test/test/configuration/WebConfig.html" class="type-name-link" title="class in com.test.test.configuration">WebConfig</a> (implements org.springframework.web.servlet.config.annotation.WebMvcConfigurer)</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.ListCrudRepository&lt;T,<wbr>ID&gt;, org.springframework.data.repository.ListPagingAndSortingRepository&lt;T,<wbr>ID&gt;)
<ul>
<li class="circle">com.test.test.dao.<a href="com/test/test/dao/TicketRepository.html" class="type-name-link" title="interface in com.test.test.dao">TicketRepository</a></li>
<li class="circle">com.test.test.dao.<a href="com/test/test/dao/UserRepository.html" class="type-name-link" title="interface in com.test.test.dao">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.ListCrudRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.ListPagingAndSortingRepository&lt;T,<wbr>ID&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.test.test.dao.<a href="com/test/test/dao/TicketRepository.html" class="type-name-link" title="interface in com.test.test.dao">TicketRepository</a></li>
<li class="circle">com.test.test.dao.<a href="com/test/test/dao/UserRepository.html" class="type-name-link" title="interface in com.test.test.dao">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.ListPagingAndSortingRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.ListCrudRepository&lt;T,<wbr>ID&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.test.test.dao.<a href="com/test/test/dao/TicketRepository.html" class="type-name-link" title="interface in com.test.test.dao">TicketRepository</a></li>
<li class="circle">com.test.test.dao.<a href="com/test/test/dao/UserRepository.html" class="type-name-link" title="interface in com.test.test.dao">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Enum Class Hierarchy">Enum Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/lang/Enum.html" class="type-name-link external-link" title="class or interface in java.lang">Enum</a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/lang/Comparable.html" title="class or interface in java.lang" class="external-link">Comparable</a>&lt;T&gt;, java.lang.constant.<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/lang/constant/Constable.html" title="class or interface in java.lang.constant" class="external-link">Constable</a>, java.io.<a href="https://docs.oracle.com/en/java/javase/18/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a>)
<ul>
<li class="circle">com.test.test.model.<a href="com/test/test/model/Statut.html" class="type-name-link" title="enum class in com.test.test.model">Statut</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
